<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="frm_EncuestaEmbed.aspx.vb" Inherits="SGHweb.frm_EncuestaEmbed" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="../styles/codigo_embed_main.css" type="text/css" rel="stylesheet">

<style>
body{
    letter-spacing: 0pt;
    word-spacing: 5pt;
    line-height: 10pt;
    text-indent: 1pt;
    font: 12px Arial, Helvetica, sans-serif;
    color: #333;
}
H3 { margin-bottom: 0px; }
</style>
<!--[if lt IE 9]>
	<script src="http://css3-mediaqueries-js.googlecode.com/svn/trunk/css3-mediaqueries.js"></script>
<![endif]-->


<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js" type="text/javascript"></script>
  <!-- noty -->
  <script type="text/javascript" src="../Scripts/noty/jquery.noty.js"></script>
  <!-- themes -->
  <script type="text/javascript" src="../Scripts/noty/themes/default.js"></script>
  <script type="text/javascript" src="../Scripts/noty/layouts/center.js"></script>
  <link rel="stylesheet" type="text/css" href="../Scripts/noty/buttons.css"/>
  <script type="text/javascript">

      function generate_success(type, texto) {
          var n = noty({
              text: texto,
              type: type,
              dismissQueue: true,
              layout: 'center',
              modal: true,
              theme: 'defaultTheme',
              buttons: [
                    { addClass: 'btn btn-primary', text: 'Ok', onClick: function ($noty) {
                        $noty.close();
                        var hotel = "<%=Request.QueryString("hotel") %>";
                        location.href = 'AgradecerEncuesta.aspx?hotel='+hotel;
                    }
                    },
                  ]
          });
          console.log(type + ' - ' + n.options.id);
          return n;
      }
      function generate_success_respuestas(type, texto) {
          var n = noty({
              text: texto,
              type: type,
              dismissQueue: true,
              layout: 'center',
              modal: true,
              theme: 'defaultTheme',
              buttons: [
                    { addClass: 'btn btn-danger', text: 'Ok', onClick: function ($noty) {
                        $noty.close();
                        var hotel = "<%=Request.QueryString("hotel") %>";
                        //location.href = 'AgradecerEncuestaEmbed.aspx?hotel='+hotel;
                    }
                    },
                  ]
          });
          console.log(type + ' - ' + n.options.id);
          return n;
      }
      function mostrar_alerta(texto) {
          $(document).ready(function () {
              ///////////////////////
              // alert             //
              //  information      //
              //   error           //
              //    warning        //
              //     notification  //
              ///////////////////////

              var success = generate_success('notification', texto);
              //$.noty.setText(success.options.id, texto);
          });
      }
      function mostrar_alerta_respuestas(texto) {
          $(document).ready(function () {
              ///////////////////////
              // alert             //
              //  information      //
              //   error           //
              //    warning        //
              //     notification  //
              ///////////////////////

              var success = generate_success_respuestas('alert', texto);
              //$.noty.setText(success.options.id, texto);
          });
      }
      function verificar_respuestas(){
          var ajaxManager = $find("<%= RadAjaxManager1.ClientID %>");
          ajaxManager.ajaxRequest("verficarRespuestas");
      }
   </script>
<telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">

    <script language="javascript">
        var array = new Array();
        function agregar_respuesta(id_input_respuesta, contenido, tipo_respuesta) {
            //alert(id_input_respuesta + '-' + contenido + '-' + tipo_respuesta);
            
            if (tipo_respuesta == 1) {
                var found = array.indexOf(contenido);
                if(found !== -1){
                    //alert(found);
                    array.splice(found, 1);
                 }else{
                    array.push(contenido);  
                }         
                //contenido_input = document.getElementById("pregunta_" + id_input_respuesta).value
                document.getElementById("pregunta_" + id_input_respuesta).value = array;
                
            } else {
                document.getElementById("pregunta_" + id_input_respuesta).value = contenido;
            }
        }
        function agregar_respuesta_matriz(id_input_respuesta,id_input_respuesta_matriz, contenido) {    
             document.getElementById("matriz_pregunta_" + id_input_respuesta_matriz).value = contenido;
            }
        function cambiaridioma(idioma) {
             var idexamen = ""+<%=Request.QueryString("eid") %>+"";
             var hotel = ""+<%=Request.QueryString("hotel") %>+"";
             var url = "frm_Encuestaembed.aspx?eid="+idexamen+"&lang="+idioma+"&hotel="+hotel;
             location.href = url;
        }
    </script>
</telerik:RadCodeBlock>
    <title></title>
</head>
<body>
<div id="pagewrap" align="center">
    <form id="Form1" runat="server">
    
    
        <div id="content">
            <div id="lang" style="float: right;">
                <img src="Resources/examen_img/en.png" title="Change language" onClick="cambiaridioma('en')" /> <img src="Resources/examen_img/es.png" title="Cambiar el idioma" onClick="cambiaridioma('es')" />
            </div>
            <center>
            <h2 style="background-color: #C9C9C9">
            <asp:Label ID="Label_Titulo" runat="server" Text="Label"></asp:Label>
            </h2>
            <p>
                <asp:Label ID="Label_Header" runat="server" Text="Label"></asp:Label>
            </p>
            <asp:Panel ID="Panel1" runat="server">
            </asp:Panel>
    
            <p>
                <input id="btn_guardar" runat="server" type="button" onclick="verificar_respuestas();" value="Enviar" />
            </p>
            <p>
                <asp:Label ID="Label_Footer" runat="server" Text="Label"></asp:Label>
            </p>
            </center>
            <div id="Div1" style="float: right;">
              <p><a href="http://www.sghperu.com/?ref=encuesta" target="_blank" style="color:Black">Powered By <b>SGH Perú</b></a></p>
            </div>
            </div>
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
    </telerik:RadScriptManager>
<telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
</telerik:RadAjaxManager>        
</form>

</div>

</body>
</html>
